
# predictions with exponential  model

Tepop = 14.1
beta_Te_karno = 0.027
beta_Te_tCelltype_G_large = 0.62
beta_Te_tCelltype_G_squamous = 0.851

for(karno in c(40,80)){
  for(celltype in c('adeno','large','squamous')){
    for(t in c(30,90,180)){
      if(celltype=='adeno'){
        Te = Tepop * exp(beta_Te_karno*karno/60)
      }else if(celltype=="large"){
        Te = Tepop * exp(beta_Te_karno*karno/60) * exp(beta_Te_tCelltype_G_large)
      }else{
        Te = Tepop * exp(beta_Te_karno*karno/60) * exp(beta_Te_tCelltype_G_squamous)
      }
      
      S = exp(- (1/Te) * t) * 100
      print(paste0("karno=",karno,", celltype=",celltype,", Te=", Te,", t=",t, "  S=", format(S, digits=1)))
    }
  }
}


Te_large = 26.21089
Te_squamous = 33.02203
beta = 0.027

data <- data.frame(time = rep(0:600,3), karno = rep(c(40,40,80), each=601), celltype=rep(c("large","squamous","large"),each=601), label=rep(c("large cells, karno=40","squamous cells, karmo=40","large cells, karno=80"),each=601))
data$Te <- as.integer(data$celltype=="large") * Te_large * exp(beta*data$karno) + as.integer(data$celltype=="squamous") * Te_squamous * exp(beta*data$karno)
data$f <-   1/data$Te * exp(- data$time / data$Te)
data$label <- as.factor(data$label)
print(ggplot(data) + geom_line(aes(x=time,y=f, color=label))+ ylab("Probability of death")+ xlab("Time [days]")+guides(colour=guide_legend(title=NULL))+ theme_bw())


